package de.ivu.elect.business.dokumente.entity;

public enum LibreOfficeStatus {

  NICHT_VERWENDET {
    @Override
    public boolean isNichtVerwendet() {
      return true;
    }
  },
  UNBEKANNT,
  OK {
    @Override
    public boolean isOk() {
      return true;
    }
  },
  FEHLER {
    @Override
    public boolean isFehler() {
      return true;
    }
  };

  public boolean isNichtVerwendet() {
    return false;
  }

  public boolean isFehler() {
    return false;
  }

  public boolean isOk() {
    return false;
  }
}
